Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.fornitura.vo.createfornitura
Class CreateFornituraRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.fornitura.vo.createfornitura.CreateFornituraRequest

    public class CreateFornituraRequest

extends java.lang.Object

Field Summary
`private java.lang.String` | `codBeneServizio` Codice del Bene/Servizio oggetto di acquisto, elemento obbligatorio.
`private java.lang.String` | `codCIG` Codice CIG.
`private java.lang.String` | `codModalitaConsegna` Codice della modalità di consegna ripartita nel tempo, elemento obbligatorio.
`private java.lang.String` | `codNazAziendaSanitaria` Codice nazionale dell’Azienda Sanitaria, elemento obbligatorio.
`private java.lang.String` | `codTipoAcquisto` Codice della modalità di scelta del fornitore, elemento obbligatorio.
`private java.lang.String` | `codTipoDelibera` Codice della tipologia del documento o fonte contrattuale, elemento obbligatorio.
`private java.lang.String` | `codTipoLogisticaConsegna` Codice che indica i luoghi di consegna delle forniture, elemento obbligatorio.
`private java.lang.String` | `codVocePianoDeiConti` Codice di conto economico del bene o servizio acquistato e riferito al piano dei conti regionale.
`private java.lang.String` | `dataDelibera` Data del contratto o del documento fonte contrattuale (data delibera), elemento obbligatorio.
`private java.lang.String` | `dataFineFornitura` Data di fine fornitura oppure data del collaudo della stessa, elemento obbligatorio.
`private java.lang.String` | `dataInizioFornitura` Data di inizio della fornitura oppure data del collaudo della stessa, elemento obbligatorio.
`private java.lang.String` | `descFornitura` Informazioni aggiuntive sulla fornitura.
`private java.lang.String` | `impTotFornitura` Importo totale presuntivo della fornitura, elemento obbligatorio.
`private java.lang.String` | `impUnitario` Importo unitario, elemento obbligatorio.
`private java.lang.String` | `modalitaPagamento` Codice della modalità di pagamento della fornitura, elemento obbligatorio.
`private java.lang.String` | `numAttoAggiudicazione` Numero dell'atto di aggiudicazione della fornitura, elemento obbligatorio.
`private java.lang.String` | `numTempoConsegna` Tempo, espresso in giorni, impiegato dal fornitore per effettuare la fornitura del bene o l'erogazione del servizio.
`private java.lang.String` | `partitaIVA` Partita IVA del fornitore da cui è stato effettuato l’acquisto, elemento obbligatorio.
`private java.lang.String` | `quantita` Quantità della fornitura, elemento obbligatorio.
`private java.lang.String` | `siglaStatoUE` Sigla dello Stato membro dell’UE rilasciante la partita IVA del fornitore.

Constructor Summary
`CreateFornituraRequest()`

Method Summary
`java.lang.String` | `getCodBeneServizio()`
`java.lang.String` | `getCodCIG()`
`java.lang.String` | `getCodModalitaConsegna()`
`java.lang.String` | `getCodNazAziendaSanitaria()`
`java.lang.String` | `getCodTipoAcquisto()`
`java.lang.String` | `getCodTipoDelibera()`
`java.lang.String` | `getCodTipoLogisticaConsegna()`
`java.lang.String` | `getCodVocePianoDeiConti()`
`java.lang.String` | `getDataDelibera()`
`java.lang.String` | `getDataFineFornitura()`
`java.lang.String` | `getDataInizioFornitura()`
`java.lang.String` | `getDescFornitura()`
`java.lang.String` | `getImpTotFornitura()`
`java.lang.String` | `getImpUnitario()`
`java.lang.String` | `getModalitaPagamento()`
`java.lang.String` | `getNumAttoAggiudicazione()`
`java.lang.String` | `getNumTempoConsegna()`
`java.lang.String` | `getPartitaIVA()`
`java.lang.String` | `getQuantita()`
`java.lang.String` | `getSiglaStatoUE()`
`void` | `setCodBeneServizio(java.lang.String codBeneServizio)`
`void` | `setCodCIG(java.lang.String codCIG)`
`void` | `setCodModalitaConsegna(java.lang.String codModalitaConsegna)`
`void` | `setCodNazAziendaSanitaria(java.lang.String codNazAziendaSanitaria)`
`void` | `setCodTipoAcquisto(java.lang.String codTipoAcquisto)`
`void` | `setCodTipoDelibera(java.lang.String codTipoDelibera)`
`void` | `setCodTipoLogisticaConsegna(java.lang.String codTipoLogisticaConsegna)`
`void` | `setCodVocePianoDeiConti(java.lang.String codVocePianoDeiConti)`
`void` | `setDataDelibera(java.lang.String dataDelibera)`
`void` | `setDataFineFornitura(java.lang.String dataFineFornitura)`
`void` | `setDataInizioFornitura(java.lang.String dataInizioFornitura)`
`void` | `setDescFornitura(java.lang.String descFornitura)`
`void` | `setImpTotFornitura(java.lang.String impTotFornitura)`
`void` | `setImpUnitario(java.lang.String impUnitario)`
`void` | `setModalitaPagamento(java.lang.String modalitaPagamento)`
`void` | `setNumAttoAggiudicazione(java.lang.String numAttoAggiudicazione)`
`void` | `setNumTempoConsegna(java.lang.String numTempoConsegna)`
`void` | `setPartitaIVA(java.lang.String partitaIVA)`
`void` | `setQuantita(java.lang.String quantita)`
`void` | `setSiglaStatoUE(java.lang.String siglaStatoUE)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codBeneServizio

    @Facets(pattern="[a-zA-Z]+",
            maxLength=9L)
    private java.lang.String codBeneServizio

  Codice del Bene/Servizio oggetto di acquisto, elemento obbligatorio.

### codCIG

    @Facets(maxLength=10L)
    private java.lang.String codCIG

  Codice CIG.

### codModalitaConsegna

    @Facets(enumeration={"1","2"})
    private java.lang.String codModalitaConsegna

  Codice della modalità di consegna ripartita nel tempo, elemento obbligatorio. Potrà assumere i seguenti valori: 1 - SOLUZIONE UNICA 2 - SOLUZIONE RIPARTITA

### codNazAziendaSanitaria

    @Facets(pattern="[0-9]+",
            maxLength=4L)
    private java.lang.String codNazAziendaSanitaria

  Codice nazionale dell’Azienda Sanitaria, elemento obbligatorio.

### codTipoAcquisto

    @Facets(enumeration={"1","2","3","4","5","6","7","8"})
    private java.lang.String codTipoAcquisto

  Codice della modalità di scelta del fornitore, elemento obbligatorio. Potrà assumere i seguenti valori: 1 - PROCEDURA APERTA 2 - PROCEDURA RISTRETTA 3 - ACCORDO QUADRO 4 - DIALOGO COMPETITIVO 5 - PROCEDURA NEGOZIATA CON BANDO COMPARATIVA 6 - PROCEDURA NEGOZIATA SENZA BANDO COMPARATIVA 7 - PROCEDURA NEGOZIATA CON BANDO UNICO FORNITORE 8 - PROCEDURA NEGOZIATA SENZA BANDO UNICO FORNITORE

### codTipoDelibera

    @Facets(enumeration={"1","2"})
    private java.lang.String codTipoDelibera

  Codice della tipologia del documento o fonte contrattuale, elemento obbligatorio. Potrà assumere i seguenti valori: 1 - ATTO DIRIGENZIALE 2 - DELIBERA AZIENDALE

### codTipoLogisticaConsegna

    @Facets(enumeration={"1","2","3","4"})
    private java.lang.String codTipoLogisticaConsegna

  Codice che indica i luoghi di consegna delle forniture, elemento obbligatorio. Potrà assumere i seguenti valori: 1 - IN PIU' DEPOSITI 2 - IN SINGOLO DEPOSITO 3 - CONTO DEPOSITO 4 - JUST IN TIME

### codVocePianoDeiConti

    @Facets(length=13L)
    private java.lang.String codVocePianoDeiConti

  Codice di conto economico del bene o servizio acquistato e riferito al piano dei conti regionale.

### dataDelibera

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    private java.lang.String dataDelibera

  Data del contratto o del documento fonte contrattuale (data delibera), elemento obbligatorio.

### dataFineFornitura

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    private java.lang.String dataFineFornitura

  Data di fine fornitura oppure data del collaudo della stessa, elemento obbligatorio.

### dataInizioFornitura

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    private java.lang.String dataInizioFornitura

  Data di inizio della fornitura oppure data del collaudo della stessa, elemento obbligatorio.

### descFornitura

    @Facets(maxLength=80L)
    private java.lang.String descFornitura

  Informazioni aggiuntive sulla fornitura.

### impTotFornitura

    @Facets(pattern="[\\-]?[0-9]+(,[0-9]{1,3})?")
    private java.lang.String impTotFornitura

  Importo totale presuntivo della fornitura, elemento obbligatorio.

### impUnitario

    @Facets(pattern="[\\-]?[0-9]+(,[0-9]{1,3})?")
    private java.lang.String impUnitario

  Importo unitario, elemento obbligatorio.

### modalitaPagamento

    @Facets(enumeration={"1","2","3","4"})
    private java.lang.String modalitaPagamento

  Codice della modalità di pagamento della fornitura, elemento obbligatorio. Potrà assumere i seguenti valori: 1 - 30 GIORNI 2 - 60 GIORNI 3 - 90 GIORNI 4 - OLTRE 90 GIORNI

### numAttoAggiudicazione

    @Facets(pattern="[a-zA-Z0-9]+",
            maxLength=16L)
    private java.lang.String numAttoAggiudicazione

  Numero dell'atto di aggiudicazione della fornitura, elemento obbligatorio.

### numTempoConsegna

    @Facets(pattern="[0-9]*",
            maxLength=5L)
    private java.lang.String numTempoConsegna

  Tempo, espresso in giorni, impiegato dal fornitore per effettuare la fornitura del bene o l'erogazione del servizio.

### partitaIVA

    @Facets(pattern="[0-9]+",
            length=13L)
    private java.lang.String partitaIVA

  Partita IVA del fornitore da cui è stato effettuato l’acquisto, elemento obbligatorio.

### quantita

    @Facets(pattern="[0-9]+")
    private java.lang.String quantita

  Quantità della fornitura, elemento obbligatorio.

### siglaStatoUE

    @Facets(enumeration={"AT","BE","BG","CY","DK","EE","FI","FR","DE","GB","EL","IE","IT","LV","LT","LU","MT","NL","PL","PT","CZ","RO","SK","SI","ES","SE","HU"})
    private java.lang.String siglaStatoUE

  Sigla dello Stato membro dell’UE rilasciante la partita IVA del fornitore.

Constructor Detail

### CreateFornituraRequest

    public CreateFornituraRequest()

Method Detail

### getCodBeneServizio

    public java.lang.String getCodBeneServizio()

### getCodCIG

    public java.lang.String getCodCIG()

### getCodModalitaConsegna

    public java.lang.String getCodModalitaConsegna()

### getCodNazAziendaSanitaria

    public java.lang.String getCodNazAziendaSanitaria()

### getCodTipoAcquisto

    public java.lang.String getCodTipoAcquisto()

### getCodTipoDelibera

    public java.lang.String getCodTipoDelibera()

### getCodTipoLogisticaConsegna

    public java.lang.String getCodTipoLogisticaConsegna()

### getCodVocePianoDeiConti

    public java.lang.String getCodVocePianoDeiConti()

### getDataDelibera

    public java.lang.String getDataDelibera()

### getDataFineFornitura

    public java.lang.String getDataFineFornitura()

### getDataInizioFornitura

    public java.lang.String getDataInizioFornitura()

### getDescFornitura

    public java.lang.String getDescFornitura()

### getImpTotFornitura

    public java.lang.String getImpTotFornitura()

### getImpUnitario

    public java.lang.String getImpUnitario()

### getModalitaPagamento

    public java.lang.String getModalitaPagamento()

### getNumAttoAggiudicazione

    public java.lang.String getNumAttoAggiudicazione()

### getNumTempoConsegna

    public java.lang.String getNumTempoConsegna()

### getPartitaIVA

    public java.lang.String getPartitaIVA()

### getQuantita

    public java.lang.String getQuantita()

### getSiglaStatoUE

    public java.lang.String getSiglaStatoUE()

### setCodBeneServizio

    public void setCodBeneServizio(java.lang.String codBeneServizio)

### setCodCIG

    public void setCodCIG(java.lang.String codCIG)

### setCodModalitaConsegna

    public void setCodModalitaConsegna(java.lang.String codModalitaConsegna)

### setCodNazAziendaSanitaria

    public void setCodNazAziendaSanitaria(java.lang.String codNazAziendaSanitaria)

### setCodTipoAcquisto

    public void setCodTipoAcquisto(java.lang.String codTipoAcquisto)

### setCodTipoDelibera

    public void setCodTipoDelibera(java.lang.String codTipoDelibera)

### setCodTipoLogisticaConsegna

    public void setCodTipoLogisticaConsegna(java.lang.String codTipoLogisticaConsegna)

### setCodVocePianoDeiConti

    public void setCodVocePianoDeiConti(java.lang.String codVocePianoDeiConti)

### setDataDelibera

    public void setDataDelibera(java.lang.String dataDelibera)

### setDataFineFornitura

    public void setDataFineFornitura(java.lang.String dataFineFornitura)

### setDataInizioFornitura

    public void setDataInizioFornitura(java.lang.String dataInizioFornitura)

### setDescFornitura

    public void setDescFornitura(java.lang.String descFornitura)

### setImpTotFornitura

    public void setImpTotFornitura(java.lang.String impTotFornitura)

### setImpUnitario

    public void setImpUnitario(java.lang.String impUnitario)

### setModalitaPagamento

    public void setModalitaPagamento(java.lang.String modalitaPagamento)

### setNumAttoAggiudicazione

    public void setNumAttoAggiudicazione(java.lang.String numAttoAggiudicazione)

### setNumTempoConsegna

    public void setNumTempoConsegna(java.lang.String numTempoConsegna)

### setPartitaIVA

    public void setPartitaIVA(java.lang.String partitaIVA)

### setQuantita

    public void setQuantita(java.lang.String quantita)

### setSiglaStatoUE

    public void setSiglaStatoUE(java.lang.String siglaStatoUE)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD